#include "regex.h"
#include "../includes.h"

PatternData::PatternData(Regex* new_regex) {
	regex = new_regex;
	pattern = NULL;
}
PatternData::PatternData(string new_pattern) {
	regex = NULL;
	pattern = new string(new_pattern);
}
PatternData::~PatternData() {
	if (regex!=NULL) delete regex;
	else delete pattern;
}